%global extension   paperwm
%global uuid        %{extension}@hedning:matrix.org
%global commit      13ccdfa64d56da2e20f4adda2c0166109aa54397
%global commitdate  20221021
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global forgeurl https://github.com/paperwm/PaperWM
%forgemeta

Name:           gnome-shell-extension-%{extension}
Version:        42.0
Release:        1%{?dist}
Summary:        Tiled scrollable window management for Gnome Shell
License:        GPLv3
URL:            %{forgeurl}
BuildArch:      noarch

Source:         %{forgesource}
Source1:        50_org.gnome.shell.%{extension}.gschema.override
# Optionally load gschemas from system path https://github.com/paperwm/PaperWM/pull/437
Patch0:         01-settings-load.patch
# Add GNOME 43 support https://github.com/paperwm/PaperWM/pull/438
Patch1:         02-gnome-43.patch

Requires:       gnome-shell >= 3.42

Recommends:     gnome-extensions-app
Recommends:     %{name}-settings-overrides = %{version}-%{release}

Provides:       %{extension} = %{version}-%{release}

%description
PaperWM is an experimental Gnome Shell extension providing scrollable tiling 
of windows and per monitor workspaces. It's inspired by paper notebooks 
and tiling window managers.

%package settings-overrides
Summary:       Recommended settings overrides for %{name}.


%description settings-overrides
Recommended settings overrides for %{name}.

%prep
%forgesetup
%patch0 -p1
%patch1 -p1

%build

%install

%global extensiondir %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid} 
# install extension files
install -d -m 0755 %{extensiondir}
install -p -m 0644 *.js *.css *.ui metadata.json \
    %{extensiondir}
    
install -d -m 0755 %{extensiondir}/resources
install -p -m 0644 resources/* %{extensiondir}/resources

install -d -m 0755 %{extensiondir}/examples
install -p -m 0644 examples/* %{extensiondir}/examples

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.org-scrollwm.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

# install the schema override files
install -d -m 0755 %{buildroot}%{_datadir}/glib-2.0/schemas
install -p -m 0644 %{S:1} %{buildroot}%{_datadir}/glib-2.0/schemas/


%files
%license LICENSE
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%files settings-overrides
%{_datadir}/glib-2.0/schemas/*.%{extension}.gschema.override


%changelog
* Fri Nov 04 2022 Gergely Gombos <gombosg@disroot.org> - 42.0
- Initial package

